al_color_hsl_to_rgb(3)

NAME

al_color_hsl_to_rgb - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_color.h>
    void al_color_hsl_to_rgb(float hue, float saturation, float lightness,
       float *red, float *green, float *blue)

DESCRIPTION

Convert values in HSL color model to RGB color model.

Parameters:

•   hue - Color hue angle in the range 0..360

•   saturation - Color saturation in the range 0..1

•   lightness - Color lightness in the range 0..1

•   red, green, blue - returned RGB values in the range 0..1

SEE ALSO

al_color_rgb_to_hsl(3), al_color_hsl(3), al_color_hsv_to_rgb(3)